# Enhancing_Injury_Segmentation_in_Breast_Mammograms_Through_Semi-Supervised_Learning


In order to run the Base lines tables in the Thesis you just need to go to base_line folder. Every one of the methods has a folder.
ResUnet has Implementation with different loss functions in it. You can use these models as your models for retrieving previous results for your special use. You can also use other SSL methods same way as before.


For you to train your model you just would need to use forward pass of the model. You will see the below function prototype in all the methods. Now we will explain this function.

```python
def forward(self,
            mammo_x: torch.Tensor,
            mammo_loss_and_gt: torch.Tensor)
```

mammo_x is actually the [Batch, size, size] which is x-ray image that we use as input data.
mammo_loss_and_gt is [Batch, 2, size, size]. mammo_loss_and_gt[:, 1, :, :] is the mask for our x-ray, referred as GT in Thesis. mammo_loss_and_gt[:, 0, :, :] is actually the DCM mask mentioned in the thesis. 

By providing the inputs for forward function you can use all the models code easily in your projects.
Good Luck!
